openSUSE Security Update : MozillaFirefox (MozillaFirefox-833)

Medium Nessus Plugin ID 39889


The remote openSUSE host is missing a security update.


Firefox version upgrade to 3.0.9 to fix various security bugs.

-2009-1306,CVE-2009-1307,CVE-2009-1308,CVE-2009-1309,CVE-200 9-1310,CVE-2009-1311,CVE-2009-1312,CVE-2009-0652)


Update the affected MozillaFirefox packages.

See Also

Plugin Details

Severity: Medium

ID: 39889

File Name: suse_11_0_MozillaFirefox-090427.nasl

Version: $Revision: 1.14 $

Type: local

Agent: unix

Published: 2009/07/21

Modified: 2016/12/21

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:MozillaFirefox, p-cpe:/a:novell:opensuse:MozillaFirefox-translations, cpe:/o:novell:opensuse:11.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/04/27

Reference Information

CVE: CVE-2009-0652, CVE-2009-1302, CVE-2009-1303, CVE-2009-1304, CVE-2009-1305, CVE-2009-1307, CVE-2009-1308, CVE-2009-1309, CVE-2009-1311, CVE-2009-1312

CWE: 16, 20, 79, 200, 399